## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v1

analysis-types

{analysisTypeId}

# Read Analysis Type

## cURL

```bash
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/analysis-types/{analysisTypeId} \
  --header 'Authorization: Bearer <token>'
```

## Python

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/analysis-types/{analysisTypeId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## JavaScript

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant}.mindbridge.ai/api/v1/analysis-types/{analysisTypeId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

## PHP

```php


```

## Response

200

```json
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "name": "<string>",
  "interimName": "<string>",
  "description": "<string>",
  "accountMappingRequired": true,
  "fundSupported": true,
  "interimSupported": true,
  "periodicSupported": true,
  "archived": true,
  "maxPeriod": 123,
  "sourceConfigurations": [
    {
      "sourceTypeId": "<string>",
      "required": true,
      "postAnalysis": true,
      "interimOnly": true,
      "disableForInterim": true,
      "allowMultiple": true,
      "allowMultipleForPeriodic": true,
      "alternativeRequiredSourceTypes": [
        "<string>"
      ],
      "tracksAdditionalDataEntries": true
    }
  ]
}
```

### Authorizations

**Authorization**

- Type: string
- Location: header
- Required: Yes
- Description: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Path Parameters

**analysisTypeId**
- Type: string
- Required: Yes

### Response

200 - application/json

#### Attributes
- **id**: string - The unique object identifier.
- **version**: integer - Data integrity version to ensure data consistency.
- **creationDate**: string - The date that the object was originally created.
- **lastModifiedDate**: string - The date that the object was last updated or modified.
- **createdUserInfo**: object - Details about the user who created the object.
- **lastModifiedUserInfo**: object - Details about the user who last modified or updated the object.
- **name**: string - The name of the analysis type.
- **interimName**: string - The name of the analysis type when the analysis uses an interim time frame.
- **description**: string - The description of the analysis type.
- **accountMappingRequired**: boolean - Indicates whether or not account mapping must be performed.
- **fundSupported**: boolean - Indicates whether or not the analysis supports restricted and unrestricted funds.
- **interimSupported**: boolean - Indicates whether or not the analysis supports the interim time frame.
- **periodicSupported**: boolean - Indicates whether or not the analysis supports the periodic time frame.
- **archived**: boolean - Indicates whether or not the analysis type has been archived.
- **maxPeriod**: integer - A configuration value for the max analysis period.
- **sourceConfigurations**: array - A list of analysis source configurations that can be imported into the analysis, as determined by the analysis type.
